<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/login"></ion-back-button>
    </ion-buttons>

    <ion-title>Create a new Account</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form [formGroup]="signupForm">
    <ion-item>
      <ion-label stacked>Email</ion-label>
      <ion-input formControlName="email" type="email" placeholder="Your email address" [class.invalid]="!signupForm.controls['email'].valid && signupForm.controls['email'].touched">
      </ion-input>
    </ion-item>
    <ion-item class="error-message" *ngIf="!signupForm.controls['email'].valid
      && signupForm.controls['email'].touched">
      <ion-label>Please enter a valid email.</ion-label>
    </ion-item>

    <ion-item>
      <ion-label stacked>Password</ion-label>
      <ion-input formControlName="password" type="password" placeholder="Your password" [class.invalid]="!signupForm.controls['password'].valid && signupForm.controls['password'].touched">
      </ion-input>
    </ion-item>
    <ion-item class="error-message" *ngIf="!signupForm.controls['password'].valid  &&
      signupForm.controls['password'].touched">
      <ion-label>Your password needs more than 6 characters.</ion-label>
    </ion-item>

    <ion-button expand="block" (click)="signupUser(signupForm)" [disabled]="!signupForm.valid">
      Create an Account
    </ion-button>
  </form>
</ion-content>
